### Method

# Gegl Path insert_node

#### Declaration [src]

    void
    gegl_path_insert_node (
      GeglPath* path,
      gint pos,
      const GeglPathItem* node
    )

#### Description [src]

Insert the new node `node` at position `pos` in `path`. if `pos` = -1, the node is added in the last position.

#### Parameters

`pos`

  Type: `gint`

  The position we want the new node to have.

`node`

  Type: `GeglPathItem`

  Pointer to a structure describing the GeglPathItem we want to store.

  The data is owned by the caller of the method.